javax.swing.plaf.basic

## Class BasicOptionPaneUI.ButtonActionListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicOptionPaneUI.ButtonActionListener

- All Implemented Interfaces:
    ActionListener, EventListener
  Enclosing class:
    BasicOptionPaneUI

      public class BasicOptionPaneUI.ButtonActionListener
      extends Object
      implements ActionListener

  This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicOptionPaneUI.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `buttonIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicOptionPaneUI.ButtonActionListener(int buttonIndex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent e)` Invoked when an action occurs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buttonIndex

          protected int buttonIndex

  - ### Constructor Detail

    - #### BasicOptionPaneUI.ButtonActionListener

          public BasicOptionPaneUI.ButtonActionListener(int buttonIndex)

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent e)

      Description copied from interface: `ActionListener`
      Invoked when an action occurs.
      Specified by:
        `actionPerformed` in interface `ActionListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.